[main]
  environment   = production
  confdir       = /etc/puppet
  logdir        = /var/log/puppet
  vardir        = /var/lib/puppet
  ssldir        = $vardir/ssl
  rundir        = /var/run/puppet
  factpath      = $vardir/lib/facter
  templatedir   = $confdir/templates
  pluginsync    = true

{% if pillar.puppet.agent is defined %}

[agent]
  environment   = production
  report        = true
  show_diff     = true
  server        = {{ pillar.puppet.agent.master.host }}
  reportserver  = {{ pillar.puppet.agent.report.host }}

{% endif %}

{% if pillar.puppet.masterless is defined %}

{% endif %}

{% if pillar.puppet.master is defined %}

[master]
  environment   = production
  manifest      = $confdir/environments/$environment/manifests/site.pp
  modulepath    = $confdir/environments/$environment/modules:$confdir/environments/$environment/site
  # Passenger
  ssl_client_header        = SSL_CLIENT_S_DN
  ssl_client_verify_header = SSL_CLIENT_VERIF

{% endif %}
